#ifndef MAINWIDGET_H
#define MAINWIDGET_H

//Подключение используемых классов
#include <QWidget>
#include <QSettings>

namespace Ui {
class MainWidget;
}

class MainWidget : public QWidget
{
    Q_OBJECT
    
public:
    //Конструктор класса с инициализацией имени виджета в настройках
    MainWidget(QWidget *parent = 0, QString name = "DefaultForm");
    ~MainWidget();
    
    //Объект настроек
    QSettings* settings;
signals:
    //Объявление сигнала, испускаемый в деструкторе класса
    void beforeDestroy();

private slots:
    //Получение геометрии виджета из настроек
    void loadGeometry();
    //Сохранение геометрии виджета в настройках
    void saveGeometry();

private:
    Ui::MainWidget *ui;
};

#endif // MAINWIDGET_H
